com.rscja.deviceapi

## Enum RFIDWithISO15693.TagType

- java.lang.Object
- - java.lang.Enum<RFIDWithISO15693.TagType>
  - - com.rscja.deviceapi.RFIDWithISO15693.TagType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RFIDWithISO15693.TagType>
  Enclosing class:
    RFIDWithISO15693

      public static enum RFIDWithISO15693.TagType
      extends java.lang.Enum<RFIDWithISO15693.TagType>

  标签类型
  Tag type
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EM4033`
    `ICODE2`
    `NUll_`
    `STLRIS64K`
    `TI2048`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static RFIDWithISO15693.TagType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RFIDWithISO15693.TagType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ICODE2

          public static final RFIDWithISO15693.TagType ICODE2

    - #### TI2048

          public static final RFIDWithISO15693.TagType TI2048

    - #### STLRIS64K

          public static final RFIDWithISO15693.TagType STLRIS64K

    - #### EM4033

          public static final RFIDWithISO15693.TagType EM4033

    - #### NUll_

          public static final RFIDWithISO15693.TagType NUll_

  - ### Method Detail

    - #### values

          public static RFIDWithISO15693.TagType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFIDWithISO15693.TagType c : RFIDWithISO15693.TagType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFIDWithISO15693.TagType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()